Loading...
Searching...
No Matches
itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform > Class Template Reference

`#include <itkGPUCompositeTransform.h>`

## Detailed Description

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>
class itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >

GPU version of CompositeTransform.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 40 of file itkGPUCompositeTransform.h.

Inheritance diagram for itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | CPUSuperclass = TParentTransform
using | GPUSuperclass = GPUCompositeTransformBase<TScalarType, NDimensions>
using | GPUTransformType = typename GPUSuperclass::TransformType
using | Pointer = SmartPointer<Self>
using | Self = GPUCompositeTransform
using | TransformTypeConstPointer = typename GPUSuperclass::TransformTypeConstPointer
using | TransformTypePointer = typename GPUSuperclass::TransformTypePointer
Public Types inherited from itk::GPUCompositeTransformBase< float, 3 >
using | GPUSuperclass
using | ScalarType
using | Self
using | TransformType
using | TransformTypeConstPointer
using | TransformTypePointer
Public Types inherited from itk::GPUTransformBase
using | Self = GPUTransformBase

## Public Member Functions

virtual const char * | GetClassName () const
virtual const TransformTypePointer | GetNthTransform (SizeValueType n) const
virtual SizeValueType | GetNumberOfTransforms () const
Public Member Functions inherited from itk::GPUCompositeTransformBase< float, 3 >
virtual bool | HasBSplineTransform () const
virtual bool | HasIdentityTransform () const
virtual bool | HasMatrixOffsetTransform () const
virtual bool | HasTranslationTransform () const
virtual bool | IsBSplineTransform (const std::vcl_size_t index) const
virtual bool | IsIdentityTransform (const std::vcl_size_t index) const
virtual bool | IsMatrixOffsetTransform (const std::vcl_size_t index) const
virtual bool | IsTranslationTransform (const std::vcl_size_t index) const
| itkStaticConstMacro (InputSpaceDimension, unsigned int, NDimensions)
Public Member Functions inherited from itk::GPUTransformBase
virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager () const
virtual bool | IsBSplineTransform () const
virtual bool | IsIdentityTransform () const
virtual bool | IsMatrixOffsetTransform () const
virtual bool | IsTranslationTransform () const

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| GPUCompositeTransform ()
void | PrintSelf (std::ostream &s, Indent indent) const
virtual | ~GPUCompositeTransform ()
Protected Member Functions inherited from itk::GPUCompositeTransformBase< float, 3 >
GPUDataManager::Pointer | GetParametersDataManager (const std::vcl_size_t index) const override
bool | GetSourceCode (std::string &source) const override
| GPUCompositeTransformBase ()=default
| ~GPUCompositeTransformBase () override=default
Protected Member Functions inherited from itk::GPUTransformBase
| GPUTransformBase ()
virtual | ~GPUTransformBase ()=default

## Private Member Functions

| GPUCompositeTransform (const Self &other)=delete
const Self & | operator= (const Self &)=delete

## Additional Inherited Members

Protected Attributes inherited from itk::GPUTransformBase
GPUDataManager::Pointer | m_ParametersDataManager {}

## Member Typedef Documentation

## ConstPointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

using itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::ConstPointer = SmartPointer<const Self>

Definition at line 50 of file itkGPUCompositeTransform.h.

## CPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

using itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::CPUSuperclass = TParentTransform

Definition at line 47 of file itkGPUCompositeTransform.h.

## GPUSuperclass

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

using itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::GPUSuperclass = GPUCompositeTransformBase<TScalarType, NDimensions>

Definition at line 48 of file itkGPUCompositeTransform.h.

## GPUTransformType

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

using itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::GPUTransformType = typename GPUSuperclass::TransformType

Sub transform types.

Definition at line 59 of file itkGPUCompositeTransform.h.

## Pointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

using itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::Pointer = SmartPointer<Self>

Definition at line 49 of file itkGPUCompositeTransform.h.

## Self

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

using itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::Self = GPUCompositeTransform

Standard class typedefs.

Definition at line 46 of file itkGPUCompositeTransform.h.

## TransformTypeConstPointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

using itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::TransformTypeConstPointer = typename GPUSuperclass::TransformTypeConstPointer

Definition at line 61 of file itkGPUCompositeTransform.h.

## TransformTypePointer

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

using itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::TransformTypePointer = typename GPUSuperclass::TransformTypePointer

Definition at line 60 of file itkGPUCompositeTransform.h.

## Constructor & Destructor Documentation

## GPUCompositeTransform() [1/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::GPUCompositeTransform | ( |  | ) |

inline protected

Definition at line 78 of file itkGPUCompositeTransform.h.

## ~GPUCompositeTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

virtual itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::~GPUCompositeTransform | ( |  | ) |

inline protected virtual

Definition at line 79 of file itkGPUCompositeTransform.h.

## GPUCompositeTransform() [2/2]

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::GPUCompositeTransform | ( | const Self & | other | ) |

private delete

## Member Function Documentation

## GetClassName()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

virtual const char * itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUCompositeTransformBase< float, 3 >.

## GetNthTransform()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

virtual const TransformTypePointer itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::GetNthTransform | ( | SizeValueType | n | ) | const

inline virtual

Get the Nth transform.

Implements itk::GPUCompositeTransformBase< float, 3 >.

Definition at line 72 of file itkGPUCompositeTransform.h.

## GetNumberOfTransforms()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

virtual SizeValueType itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::GetNumberOfTransforms | ( |  | ) | const

inline virtual

Get number of transforms in composite transform.

Implements itk::GPUCompositeTransformBase< float, 3 >.

Definition at line 65 of file itkGPUCompositeTransform.h.

## New()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

Pointer itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::New | ( |  | ) |

static

Method for creation through the object factory.

## operator=()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

const Self & itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::operator= | ( | const Self & |  | ) |

private delete

## PrintSelf()

template<typename TScalarType = float, unsigned int NDimensions = 3, typename TParentTransform = CompositeTransform<TScalarType, NDimensions>>

void itk::GPUCompositeTransform< TScalarType, NDimensions, TParentTransform >::PrintSelf | ( | std::ostream & | s,
|  | Indent | indent ) const

inline protected

Definition at line 81 of file itkGPUCompositeTransform.h.

Generated on 1768596610 for elastix by 1.15.0 |